cURL
curl --request GET \
--url https://api.recoupable.com/api/spotify/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.com/api/spotify/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.com/api/spotify/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artists": {
"href": "<string>",
"items": [
{
"external_urls": {
"spotify": "<string>"
},
"followers": {
"href": "<string>",
"total": 123
},
"genres": [
"<string>"
],
"href": "<string>",
"id": "<string>",
"images": [
{
"url": "<string>",
"height": 123,
"width": 123
}
],
"name": "<string>",
"popularity": 123,
"type": "artist",
"uri": "<string>"
}
],
"limit": 123,
"next": "<string>",
"offset": 123,
"previous": "<string>",
"total": 123
},
"albums": {},
"tracks": {},
"playlists": {}
}{
"error": {
"status": 123,
"message": "<string>"
}
}Spotify
Search
Search for artists, albums, tracks, and playlists using the Spotify API. This endpoint is a proxy to the official Spotify Search API.
GET
/
api
/
spotify
/
search
cURL
Authorizations
Your Recoup API key. Learn more.
Query Parameters
The search query keywords and optional field filters
A comma-separated list of item types to search across: album, artist, playlist, track, show, episode, audiobook
An ISO 3166-1 alpha-2 country code or 'from_token'
Maximum number of results to return (default: 20, min: 1, max: 50)
Required range:
1 <= x <= 50The index of the first result to return (default: 0, max: 10000)
Required range:
x <= 10000Response
Search results retrieved successfully
